From 5d1e4af673fedad805921bb11e78d22286229148 Mon Sep 17 00:00:00 2001
From: Raul Tambre <raul.tambre@clevon.com>
Date: Fri, 5 Nov 2021 13:01:19 +0200
Subject: [PATCH] Replace use of deprecated std::iterator

This was deprecated by P0174 in C++17.
---
 googlemock/test/gmock-matchers_test.cc | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/googlemock/test/gmock-matchers_test.cc b/googlemock/test/gmock-matchers_test.cc
index d1505bf0..beafb1a4 100644
--- a/googlemock/test/gmock-matchers_test.cc
+++ b/googlemock/test/gmock-matchers_test.cc
@@ -5424,12 +5424,14 @@ class Streamlike {
   }
 
  private:
-  class ConstIter : public std::iterator<std::input_iterator_tag,
-                                         value_type,
-                                         ptrdiff_t,
-                                         const value_type*,
-                                         const value_type&> {
+  class ConstIter {
    public:
+    using iterator_category = std::input_iterator_tag;
+    using value_type = T;
+    using difference_type = ptrdiff_t;
+    using pointer = const value_type*;
+    using reference = const value_type&;
+
     ConstIter(const Streamlike* s,
               typename std::list<value_type>::iterator pos)
         : s_(s), pos_(pos) {}
-- 
2.33.1

